## org.eclipse.datatools.modelbase.sql.constraints
Interface CheckConstraint

All Superinterfaces:
  Constraint, SQLObject, TableConstraint

All Known Implementing Classes:
  CheckConstraintImpl

    public interface CheckConstraint

extends TableConstraint

A representation of the model object 'Check Constraint'. Reference: 5WD-02-Foundation-2002-12 4.17.2 Table constraints

The following features are supported:

- `Search Condition`

See Also:
  `SQLConstraintsPackage.getCheckConstraint()`

Method Summary
`SearchCondition` `getSearchCondition()` Returns the value of the 'Search Condition' containment reference.
`void` `setSearchCondition(SearchCondition value)` Sets the value of the '`Search Condition`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.TableConstraint
`getBaseTable, setBaseTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getSearchCondition

    SearchCondition getSearchCondition()

  Returns the value of the 'Search Condition' containment reference. Section 4.17.2 A check constraint is satisfied if and only if the specified is not False for any row of a table.

  Returns:
    the value of the 'Search Condition' containment reference.
  See Also:
    `setSearchCondition(SearchCondition)`, `SQLConstraintsPackage.getCheckConstraint_SearchCondition()`

### setSearchCondition

    void setSearchCondition(SearchCondition value)

  Sets the value of the '`Search Condition`' containment reference.

  Parameters:
    `value` - the new value of the 'Search Condition' containment reference.
  See Also:
    `getSearchCondition()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.